Pular para o conteúdo principal

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /api-keys/

Este endpoint retorna informações detalhadas de uma única chave de API. Por segurança, o valor completo da chave nunca é retornado.

Parâmetros de caminho

keyId
string
obrigatório
ID da chave de API a ser consultada.

Resposta

id
string
Identificador único da chave.
name
string
Nome definido pelo usuário para a chave.
keyPreview
string
Prévia mascarada da chave (ex.: llm_1234...abcd).
isActive
boolean
Se a chave está ativa e pode ser usada.
lastUsedAt
string
Data e hora do último uso em ISO 8601.
createdAt
string
Data de criação em ISO 8601.
curl -X GET https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "llm_1706123456_abc123def456",
  "name": "Production Key",
  "keyPreview": "llm_1706...f456",
  "description": null,
  "permissions": [],
  "isActive": true,
  "lastUsedAt": "2026-01-20T15:30:00.000Z",
  "expiresAt": null,
  "createdAt": "2026-01-01T10:00:00.000Z"
}